Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
cz.vutbr.feec.novak68.detector.DetectorImpl Class Reference
Inheritance diagram for cz.vutbr.feec.novak68.detector.DetectorImpl:
[legend]
Collaboration diagram for cz.vutbr.feec.novak68.detector.DetectorImpl:
[legend]

## Public Member Functions
| DetectorImpl (double threshold, double thresholdN, boolean useThreshold, boolean useThresholdNegative, boolean useVariance, double step, double zoom)
void | detect (ImagePlus sourceImage) throws IOException

## Static Private Member Functions
static void | drawCross (ImagePlus sourceImage, Coordinate coordinate, Color color)
static void | drawROI (ImagePlus sourceImage, Coordinate coordinate, Color color)
static void | drawnumber (ImagePlus sourceImage, int positiveCount, int negativePcount)

## Private Attributes
ImageFacade | facade
double | threshold = 0.745
double | thresholdN = 0.20
boolean | useThreshold = true
boolean | useThresholdNegative = true
boolean | useVariance = false
double | step = 0.2
double | zoom = 0.60

## Detailed Description

This implementation of interface Detector uses default values (when are not changed tghrough constructor). Object simply maintain detection window in and starts RapidMiner process. All detection windows are send at once.

Author
  xnovak68

Definition at line 27 of file DetectorImpl.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.detector.DetectorImpl.DetectorImpl | ( | double | threshold,
|  | double | thresholdN,
|  | boolean | useThreshold,
|  | boolean | useThresholdNegative,
|  | boolean | useVariance,
|  | double | step,
|  | double | zoom
| ) |  |

Special constructor

Parameters

  threshold |
  useThreshold |
  step |
  zoom |

Definition at line 47 of file DetectorImpl.java.

References cz.vutbr.feec.novak68.detector.DetectorImpl.step, cz.vutbr.feec.novak68.detector.DetectorImpl.threshold, cz.vutbr.feec.novak68.detector.DetectorImpl.thresholdN, cz.vutbr.feec.novak68.detector.DetectorImpl.useThreshold, cz.vutbr.feec.novak68.detector.DetectorImpl.useThresholdNegative, cz.vutbr.feec.novak68.detector.DetectorImpl.useVariance, and cz.vutbr.feec.novak68.detector.DetectorImpl.zoom.

## Member Function Documentation

void cz.vutbr.feec.novak68.detector.DetectorImpl.detect | ( | ImagePlus | srcImg | ) | throws IOException

An impelemtation of this method should maintain detection windows in whole scene and should maintain RapidMiner Process.
For example:

When some image is passed through input parameters, coordinates of detection window should be computed. In next step the symptomps should be extracted all in once and send to RapidMiner process to label each detection window.

Parameters

  srcImg |

Exceptions

  IOException |

Implements cz.vutbr.feec.novak68.detector.Detector.

Definition at line 58 of file DetectorImpl.java.

References cz.vutbr.feec.novak68.detector.DetectorImpl.drawCross(), cz.vutbr.feec.novak68.detector.DetectorImpl.drawnumber(), cz.vutbr.feec.novak68.detector.DetectorImpl.drawROI(), cz.vutbr.feec.novak68.detector.DetectorImpl.facade, cz.vutbr.feec.novak68.detector.DetectorImpl.step, cz.vutbr.feec.novak68.detector.DetectorImpl.threshold, cz.vutbr.feec.novak68.detector.DetectorImpl.thresholdN, cz.vutbr.feec.novak68.detector.DetectorImpl.useThreshold, cz.vutbr.feec.novak68.detector.DetectorImpl.useThresholdNegative, cz.vutbr.feec.novak68.detector.DetectorImpl.useVariance, and cz.vutbr.feec.novak68.detector.DetectorImpl.zoom.

Here is the call graph for this function:

static void cz.vutbr.feec.novak68.detector.DetectorImpl.drawCross | ( | ImagePlus | sourceImage,
|  | Coordinate | coordinate,
|  | Color | color
| ) |  |
| static private

Method draws cross for specified detection window

Parameters

  sourceImage |
  coordinate |
  color |

Definition at line 123 of file DetectorImpl.java.

References cz.vutbr.feec.novak68.tools.Coordinate.center.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect().

static void cz.vutbr.feec.novak68.detector.DetectorImpl.drawnumber | ( | ImagePlus | sourceImage,
|  | int | positiveCount,
|  | int | negativePcount
| ) |  |
| static private

Method draws Number of detected objects

Parameters

  sourceImage |
  positiveCount |
  negativePcount |

Definition at line 144 of file DetectorImpl.java.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect().

static void cz.vutbr.feec.novak68.detector.DetectorImpl.drawROI | ( | ImagePlus | sourceImage,
|  | Coordinate | coordinate,
|  | Color | color
| ) |  |
| static private

Method draws Rectangle (Rectangle of Interest) for specified coordinates

Parameters

  sourceImage |
  coordinate |
  color |

Definition at line 134 of file DetectorImpl.java.

References cz.vutbr.feec.novak68.tools.Coordinate.dimension, and cz.vutbr.feec.novak68.tools.Coordinate.leftTop.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect().

## Member Data Documentation

ImageFacade cz.vutbr.feec.novak68.detector.DetectorImpl.facade
| private

Definition at line 30 of file DetectorImpl.java.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect().

double cz.vutbr.feec.novak68.detector.DetectorImpl.step = 0.2
| private

Definition at line 37 of file DetectorImpl.java.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect(), and cz.vutbr.feec.novak68.detector.DetectorImpl.DetectorImpl().

double cz.vutbr.feec.novak68.detector.DetectorImpl.threshold = 0.745
| private

Definition at line 31 of file DetectorImpl.java.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect(), and cz.vutbr.feec.novak68.detector.DetectorImpl.DetectorImpl().

double cz.vutbr.feec.novak68.detector.DetectorImpl.thresholdN = 0.20
| private

Definition at line 32 of file DetectorImpl.java.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect(), and cz.vutbr.feec.novak68.detector.DetectorImpl.DetectorImpl().

boolean cz.vutbr.feec.novak68.detector.DetectorImpl.useThreshold = true
| private

Definition at line 33 of file DetectorImpl.java.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect(), and cz.vutbr.feec.novak68.detector.DetectorImpl.DetectorImpl().

boolean cz.vutbr.feec.novak68.detector.DetectorImpl.useThresholdNegative = true
| private

Definition at line 34 of file DetectorImpl.java.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect(), and cz.vutbr.feec.novak68.detector.DetectorImpl.DetectorImpl().

boolean cz.vutbr.feec.novak68.detector.DetectorImpl.useVariance = false
| private

Definition at line 35 of file DetectorImpl.java.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect(), and cz.vutbr.feec.novak68.detector.DetectorImpl.DetectorImpl().

double cz.vutbr.feec.novak68.detector.DetectorImpl.zoom = 0.60
| private

Definition at line 38 of file DetectorImpl.java.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.detect(), and cz.vutbr.feec.novak68.detector.DetectorImpl.DetectorImpl().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/detector/DetectorImpl.java